unit RAWMPDefs;

interface

uses ElSounds;

procedure DecodeRAWInfo1(Info : pointer; var BitsPerSample : integer; var Frequency : integer; var StereoMode : TElSStereoMode);

implementation

uses SysUtils;

type TRAWInfo1 = record
        channels,
        frequency,
        BPS : integer; // wBitsPerSample
     end;
     PRAWInfo1 = ^TRAWInfo1;


procedure DecodeRAWInfo1;
begin
  BitsPerSample := PRAWInfo1(Info).BPS;
  Frequency := PRAWInfo1(Info).Frequency;
  if PRAWInfo1(Info).Channels = 1 then StereoMode := MPG_MD_MONO else StereoMode := MPG_MD_STEREO;
end;

end.
